### Method

# FwupdPlugin Archive iterate

since: 1.3.4

#### Declaration [src]

    gboolean
    fu_archive_iterate (
      FuArchive* self,
      FuArchiveIterateFunc callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Iterates over the archive contents, calling the given function for each of the files found. If any `callback` returns `FALSE` scanning is aborted.

Available since: 1.3.4

#### Parameters

`callback`

  Type: `FuArchiveIterateFunc`

  A `FuArchiveIterateFunc`.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if no `callback` returned FALSE.